#!/bin/sh

[ -n "${PUID}" ] && usermod -u "${PUID}" salty
[ -n "${PGID}" ] && groupmod -g "${PGID}" salty

printf "Configuring salty-chat ..."
[ -z "${DATA}" ] && DATA="/data"
[ -z "${STORE}" ] && STORE="bitcask:///data/saltyim.db"

export DATA STORE

printf "Switching UID=%s and GID=%s\n" "${PUID}" "${PGID}"
exec su-exec salty:ysalty "$@"
