module go.salty.im/saltyim

go 1.19

//replace git.mills.io/prologic/msgbus => ../../msgbus

require (
	github.com/andybalholm/brotli v1.0.5
	github.com/avast/retry-go v3.0.0+incompatible
	github.com/cyphar/filepath-securejoin v0.2.4
	github.com/disintegration/gift v1.2.1
	github.com/disintegration/imageorient v0.0.0-20180920195336-8147d86e83ec
	github.com/golang-jwt/jwt/v4 v4.4.3
	github.com/h2non/filetype v1.1.3
	github.com/likexian/doh-go v0.6.4
	github.com/mattn/go-isatty v0.0.17
	github.com/mitchellh/go-homedir v1.1.0
	github.com/nullrocks/identicon v0.0.0-20180626043057-7875f45b0022
	github.com/oklog/ulid/v2 v2.1.0
	github.com/sasha-s/go-deadlock v0.3.1
	github.com/sirupsen/logrus v1.9.0
	github.com/spf13/cobra v1.4.0
	github.com/spf13/viper v1.10.1
	github.com/stretchr/testify v1.8.0
	github.com/taigrr/go-colorhash v0.0.0-20220329080504-742db7f45eae
	github.com/timewasted/go-accept-headers v0.0.0-20130320203746-c78f304b1b09
	go.mills.io/salty v0.0.0-20220322161301-ce2b9f6573fa
	golang.org/x/crypto v0.20.0
)

require (
	github.com/ScaleFT/sshkeys v1.2.0 // indirect
	github.com/abcum/lcp v0.0.0-20201209214815-7a3f3840be81 // indirect
	github.com/beorn7/perks v1.0.1 // indirect
	github.com/blang/semver/v4 v4.0.0 // indirect
	github.com/cespare/xxhash/v2 v2.2.0 // indirect
	github.com/davecgh/go-spew v1.1.1 // indirect
	github.com/dchest/bcrypt_pbkdf v0.0.0-20150205184540-83f37f9c154a // indirect
	github.com/dchest/blake2b v1.0.0 // indirect
	github.com/fsnotify/fsnotify v1.5.1 // indirect
	github.com/gdamore/encoding v1.0.0 // indirect
	github.com/gofrs/flock v0.8.1 // indirect
	github.com/golang/protobuf v1.5.3 // indirect
	github.com/gorilla/websocket v1.5.0 // indirect
	github.com/hashicorp/go-multierror v1.1.1 // indirect
	github.com/hashicorp/hcl v1.0.0 // indirect
	github.com/inconshreveable/mousetrap v1.0.0 // indirect
	github.com/jpillora/backoff v1.0.0 // indirect
	github.com/keybase/go-codec v0.0.0-20180928230036-164397562123 // indirect
	github.com/klauspost/compress v1.15.15 // indirect
	github.com/likexian/gokit v0.25.9 // indirect
	github.com/lucasb-eyer/go-colorful v1.2.0 // indirect
	github.com/magiconair/properties v1.8.6 // indirect
	github.com/mattn/go-runewidth v0.0.15 // indirect
	github.com/matttproud/golang_protobuf_extensions v1.0.4 // indirect
	github.com/mitchellh/mapstructure v1.5.0 // indirect
	github.com/oklog/ulid v1.3.1 // indirect
	github.com/patrickmn/go-cache v2.1.0+incompatible
	github.com/pelletier/go-toml v1.9.4 // indirect
	github.com/petermattis/goid v0.0.0-20230317030725-371a4b8eda08 // indirect
	github.com/pkg/errors v0.9.1 // indirect
	github.com/plar/go-adaptive-radix-tree v1.0.4 // indirect
	github.com/pmezard/go-difflib v1.0.0 // indirect
	github.com/prometheus/client_golang v1.15.0 // indirect
	github.com/prometheus/client_model v0.3.0 // indirect
	github.com/prometheus/common v0.42.0 // indirect
	github.com/prometheus/procfs v0.9.0 // indirect
	github.com/rivo/uniseg v0.4.3 // indirect
	github.com/spf13/afero v1.8.2 // indirect
	github.com/spf13/cast v1.4.1 // indirect
	github.com/spf13/jwalterweatherman v1.1.0 // indirect
	github.com/subosito/gotenv v1.2.0 // indirect
	github.com/tidwall/gjson v1.14.4 // indirect
	github.com/tidwall/match v1.1.1 // indirect
	github.com/tidwall/pretty v1.2.1 // indirect
	github.com/tidwall/tinylru v1.1.0 // indirect
	github.com/tidwall/wal v1.1.7 // indirect
	github.com/tyler-smith/go-bip39 v1.1.0 // indirect
	github.com/vmihailenco/msgpack/v4 v4.3.12 // indirect
	github.com/vmihailenco/msgpack/v5 v5.3.5 // indirect
	github.com/vmihailenco/tagparser v0.1.2 // indirect
	github.com/vmihailenco/tagparser/v2 v2.0.0 // indirect
	github.com/writeas/go-strip-markdown/v2 v2.1.1 // indirect
	golang.org/x/exp v0.0.0-20220328175248-053ad81199eb // indirect
	golang.org/x/sync v0.1.0
	golang.org/x/sys v0.17.0 // indirect
	golang.org/x/term v0.17.0 // indirect
	golang.org/x/text v0.14.0 // indirect
	google.golang.org/appengine v1.6.7 // indirect
	google.golang.org/protobuf v1.30.0 // indirect
	gopkg.in/ini.v1 v1.66.4 // indirect
	gopkg.in/yaml.v2 v2.4.0 // indirect
	gopkg.in/yaml.v3 v3.0.1 // indirect
	nhooyr.io/websocket v1.8.7 // indirect
)

require (
	git.mills.io/prologic/bitcask v1.0.2
	git.mills.io/prologic/msgbus v0.1.21
	git.mills.io/prologic/observe v0.0.0-20210712230028-fc31c7aa2bd1
	git.mills.io/prologic/useragent v0.0.0-20210714100044-d249fe7921a0
	github.com/NYTimes/gziphandler v1.1.1
	github.com/gdamore/tcell/v2 v2.7.2
	github.com/google/go-cmp v0.5.9 // indirect
	github.com/hashicorp/errwrap v1.1.0 // indirect
	github.com/julienschmidt/httprouter v1.3.0
	github.com/justinas/nosurf v1.1.1
	github.com/keybase/saltpack v0.0.0-20221220231257-f6cce11cfd0f // indirect
	github.com/keys-pub/keys v0.1.22
	github.com/logrusorgru/aurora v2.0.3+incompatible
	github.com/posener/formatter v1.0.0
	github.com/rivo/tview v0.0.0-20220307222120-9994674d60a8
	github.com/robfig/cron v1.2.0
	github.com/spf13/pflag v1.0.5
	github.com/unrolled/logger v0.0.0-20201216141554-31a3694fe979
	github.com/unrolled/render v1.4.1
	github.com/wblakecaldwell/profiler v0.0.0-20150908040756-6111ef1313a1
	go.yarn.social/lextwt v0.0.0-20230226040904-0097db79a25e
	go.yarn.social/types v0.0.0-20230129042829-96789c694b24 // indirect
	golang.org/x/net v0.21.0 // indirect
)
