package saltyim

import (
	"testing"

	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
)

func TestParseAddr(t *testing.T) {
	assert := assert.New(t)
	require := require.New(t)

	addr, err := ParseAddr("alice@example.com")
	require.NoError(err)
	assert.Equal("alice", addr.User())
	assert.Equal("example.com", addr.Domain())
}
