
<a name="0.0.22"></a>
## [0.0.22](https://git.mills.io/prologic/saltyim/compare/0.0.21...0.0.22) (2022-05-14)

### Bug Fixes

* Fix regression in 330701d causing register to no longe rwork


<a name="0.0.21"></a>
## [0.0.21](https://git.mills.io/prologic/saltyim/compare/0.0.20...0.0.21) (2022-05-07)

### Bug Fixes

* Fix bug when endpoint is invalid or not configured proeprly and fails lookup (#171)
* Fix handling for invalid or no endpoint passed to make-user (#170)

### Updates

* Update CHANGELOG for 0.0.21


<a name="0.0.20"></a>
## [0.0.20](https://git.mills.io/prologic/saltyim/compare/0.0.19...0.0.20) (2022-05-02)

### Bug Fixes

* Fix goreleaser config
* Fix certs Makefile target for local dev and fix alternate subject name
* Fix handling for bad endpoints from mixbehaving clients proxying send requests (#163)
* Fix SendToAddr to error when no sender configured (#149)
* Fix broken client inbox state persistence (#141)
* Fix version info -v/--version (#138)
* Fix SyntaxError :D (#132)
* Fix GetState() (#129)
* Fix inbox indexing (#125)
* Fix loading non-existent state (#123)
* Fix persisting state for read sub-command (#122)
* Fix go.mod (#119)
* Fix some minor UX issues with the input box (#118)
* Fix Send() and ProxySend() (#105)
* Fix creation of -d/--data data directory on startup (#106)
* Fix Dockerfile and add internal/pwas/utils (#100)
* Fix a panic when there is no valid Endpoint (#90)
* Fix some reliability issues with Client.Drain() that was dropping messages
* Fix missing storage source files in Dockerfile
* Fix daemon name :D (#72)
* Fix Service.String()
* Fix svc bot so it attempts reconnect until successful (#70)
* Fix CreateConfig() to be idempotent
* Fix svc user (bot) so it actually starts
* Fix GetIdentity()
* Fix DNS lookup failures in the PWA by using DoH (DNS over HTTP) (#65)
* Fix install instructions for salty-chat.sh for msgbus and salty cli tools
* Fix Docker image we're pushing to
* Fix README Build Status badge
* Fix Lookup to actually use SRV records (where available) and refactor (#62)
* Fix CORS support
* Fix support for 2-way chat (receive works 🥳)
* Fix Docker images entrypoint to configure DATA and STORE env vars by default if not set to sensible valeus
* Fix Dockerfile's default CMD to saltyd to make it easier on Synology users
* Fix CI
* Fix terminal detection and avoid colors when not a terminal
* Fix make-user templating
* Fix make-user to spport supplying an optional custom broker endpoint (-e/--endpoint or 2nd argument)
* Fix PackMessage to ensure every message ends with a UNIX newline (\n)
* Fix default config path message (#45)
* Fix Dockerfile
* Fix bild issue on small machines by restructing some of the cli code and only build the cli by default
* Fix static assets in Docker iamger
* Fix build tag for pwa app.wasm
* Fix adding saltyd binary to Docker iamge
* Fix Dockerfile (again)
* Fix Dockerfile
* Fix Makefile to publish Docker image as prologic/saltyim
* Fix Makefile so app.wasm build is silent
* Fix passing hooks to cli.Read()
* Fix make-user properly
* Fix make-user
* Fix Drone CI config
* Fix passing prehook/posthook flags that 7ccd59e broke :D
* Fix a stupid Env var bug with bad KeyReplacer :/
* Fix bugs with the TUI client
* Fix inbox behaviour and configurability
* Fix log-posthook script
* Fix syntax error
* Fix getting -u/--broker-uri flags
* Fix pre/post hook support to accept stdin
* Fix make-user to create the identity as prologic.key (by default)
* Fix args for make-user
* Fix Lookup not returning an error parsing invalid configs
* Fix shell readmsgs() so no arguments work properly
* Fix help message
* Fix instructions for setting up the Salty Config
* Fix some bad printf(s)
* Fix some shell warnings
* Fix help to show how to use make-user

### Features

* Add support for state for Service{} (#142)
* Add support for indexing and persisting inbox index state (#121)
* Add Avatar service and cli for updating avatar  on a broker (#116)
* Add support for Dekstop/Web notifications via a forked beeep library (#103)
* Add support for sender interfaces and the pwa to fallback to sending via a broker as fallback (#101)
* Add support for performing lookups via the broker we were served from (#99)
* Add a API Lookup Endpoint to get around this stupid CORS crap. /api/v1/lookup/:addr (#95)
* Add support for new contacts appearing in contact list automatically (#89)
* Add clean-all target to Makefile
* Add sub-command for checking CORS on discovery endpoints (check_cors), fail lookup if CORS check fails (#63)
* Add optional support for setting up a TLS listener with Let's Encrypt support (#61)
* Add ConfigHandler() to serve p builtin /.well-known/salty/:config configs for users (#60)
* Add unit tests (#55)
* Add an example exec bot that handles basic commands
* Add a really stupidly simple echo bot (shell post-hook script)
* Add a format command for tailing and formating messages
* Add a rough idea of a Roadmap
* Add support for client and server (broker) registration (#43)
* Add saltyd to the reelase process for precompiled binaries
* Add a help to the Makefile making help the default target
* Add support for generating ULID(s) for User's Endpoints
* Add configuration options for the store
* Add a basic structure for a go-app PWA + integrated Broker (#36)
* Add a Dockerfile and push to prologic/salty-chat as well as a Drone CI config for CI/CD
* Add support for setting the Terminal/Console title (#20)
* Add title back that @xuu added
* Add spport for pre/post hooks for read command
* Add chglog config
* Add GoRelaser config
* Add make-user command (#9)
* Add support for looking for a default identity
* Add chat command
* Add builtin support for sending desktop notifications
* Add read command
* Add lookup command (#4)
* Add chat sub--command to read a line in a loop and send to recipient
* Add a lookup mechanism that uses nick@domain and a request to https://domain/.well-known/salty/nick.json

### Updates

* Update CHANGELOG for 0.0.20
* Update CHANGELOG for 0.0.20
* Update the Desktop breakpoint to by 768px (#158)
* Update CHANGELOG for 0.0.1
* Update to msgbus v0.1.19
* Update msgbus to v0.1.13 (#124)
* Update to latest msgbus with replaced gorills/websocket with better library (#71)
* Update 'Roadmap.md'
* Update go.sum
* Update 'Roadmap.md'
* Update CHANGELOG for 0.0.19
* Update CHANGELOG for 0.0.18
* Update Roadmap
* Update 'Roadmap.md'
* Update 'OLDREADME.md'
* Update CHANGELOG for 0.0.17
* Update defaultRequestTimeout to 30s
* Update error handling in send command
* Update CHANGELOG for 0.0.16
* Update message from Hello World to indicate we're not quite ready for prime time just yet :D
* Update CHANGELOG for 0.0.15
* Update CHANGELOG for 0.0.14
* Update CHANGELOG for 0.0.13
* Update CHANGELOG for 0.0.12
* Update to msgbus v0.1.6
* Update CHANGELOG for 0.0.11
* Update README and add docs for Infrastructure setup
* Update CHANGELOG for 0.0.10
* Update CHANGELOG for 0.0.9
* Update CHANGELOG for 0.0.8
* Update CHANGELOG for 0.0.7
* Update CHANGELOG for 0.0.6
* Update CHANGELOG for 0.0.5
* Update CHANGELOG for 0.0.5
* Update CHANGELOG for 0.0.5
* Update CHANGELOG for 0.0.4
* Update CHANGELOG for 0.0.3
* Update deps
* Update 'README.md'
* Update README
* Update README
* Update README on new chat sub-command
* Update instructions re MSGBUS_URI
* Update README
* Update README with more docs
* Update the README with better docs


<a name="0.0.19"></a>
## [0.0.19](https://git.mills.io/prologic/saltyim/compare/0.0.18...0.0.19) (2022-03-23)

### Bug Fixes

* Fix PackMessage to ensure every message ends with a UNIX newline (\n)

### Updates

* Update CHANGELOG for 0.0.19


<a name="0.0.18"></a>
## [0.0.18](https://git.mills.io/prologic/saltyim/compare/0.0.17...0.0.18) (2022-03-23)

### Bug Fixes

* Fix default config path message (#45)

### Features

* Add a format command for tailing and formating messages
* Add a rough idea of a Roadmap
* Add support for client and server (broker) registration (#43)

### Updates

* Update CHANGELOG for 0.0.18
* Update Roadmap
* Update 'Roadmap.md'
* Update 'OLDREADME.md'


<a name="0.0.17"></a>
## [0.0.17](https://git.mills.io/prologic/saltyim/compare/0.0.16...0.0.17) (2022-03-23)

### Bug Fixes

* Fix Dockerfile
* Fix bild issue on small machines by restructing some of the cli code and only build the cli by default

### Features

* Add saltyd to the reelase process for precompiled binaries
* Add a help to the Makefile making help the default target
* Add support for generating ULID(s) for User's Endpoints

### Updates

* Update CHANGELOG for 0.0.17
* Update defaultRequestTimeout to 30s
* Update error handling in send command


<a name="0.0.16"></a>
## [0.0.16](https://git.mills.io/prologic/saltyim/compare/0.0.15...0.0.16) (2022-03-22)

### Bug Fixes

* Fix static assets in Docker iamger
* Fix build tag for pwa app.wasm
* Fix adding saltyd binary to Docker iamge
* Fix Dockerfile (again)
* Fix Dockerfile
* Fix Makefile to publish Docker image as prologic/saltyim
* Fix Makefile so app.wasm build is silent

### Features

* Add configuration options for the store
* Add a basic structure for a go-app PWA + integrated Broker (#36)

### Updates

* Update CHANGELOG for 0.0.16
* Update message from Hello World to indicate we're not quite ready for prime time just yet :D


<a name="0.0.15"></a>
## [0.0.15](https://git.mills.io/prologic/saltyim/compare/0.0.14...0.0.15) (2022-03-22)

### Updates

* Update CHANGELOG for 0.0.15


<a name="0.0.14"></a>
## [0.0.14](https://git.mills.io/prologic/saltyim/compare/0.0.13...0.0.14) (2022-03-22)

### Bug Fixes

* Fix passing hooks to cli.Read()
* Fix make-user properly
* Fix make-user
* Fix Drone CI config

### Features

* Add a Dockerfile and push to prologic/salty-chat as well as a Drone CI config for CI/CD

### Updates

* Update CHANGELOG for 0.0.14


<a name="0.0.13"></a>
## [0.0.13](https://git.mills.io/prologic/saltyim/compare/0.0.12...0.0.13) (2022-03-21)

### Bug Fixes

* Fix passing prehook/posthook flags that fc9e462 broke :D

### Updates

* Update CHANGELOG for 0.0.13


<a name="0.0.12"></a>
## [0.0.12](https://git.mills.io/prologic/saltyim/compare/0.0.11...0.0.12) (2022-03-21)

### Bug Fixes

* Fix a stupid Env var bug with bad KeyReplacer :/

### Updates

* Update CHANGELOG for 0.0.12
* Update to msgbus v0.1.6


<a name="0.0.11"></a>
## [0.0.11](https://git.mills.io/prologic/saltyim/compare/0.0.10...0.0.11) (2022-03-21)

### Features

* Add support for setting the Terminal/Console title (#20)

### Updates

* Update CHANGELOG for 0.0.11
* Update README and add docs for Infrastructure setup


<a name="0.0.10"></a>
## [0.0.10](https://git.mills.io/prologic/saltyim/compare/0.0.9...0.0.10) (2022-03-20)

### Updates

* Update CHANGELOG for 0.0.10


<a name="0.0.9"></a>
## [0.0.9](https://git.mills.io/prologic/saltyim/compare/0.0.8...0.0.9) (2022-03-20)

### Updates

* Update CHANGELOG for 0.0.9


<a name="0.0.8"></a>
## [0.0.8](https://git.mills.io/prologic/saltyim/compare/0.0.7...0.0.8) (2022-03-20)

### Updates

* Update CHANGELOG for 0.0.8


<a name="0.0.7"></a>
## [0.0.7](https://git.mills.io/prologic/saltyim/compare/0.0.6...0.0.7) (2022-03-20)

### Updates

* Update CHANGELOG for 0.0.7


<a name="0.0.6"></a>
## [0.0.6](https://git.mills.io/prologic/saltyim/compare/0.0.5...0.0.6) (2022-03-20)

### Bug Fixes

* Fix bugs with the TUI client
* Fix inbox behaviour and configurability

### Features

* Add title back that @xuu added

### Updates

* Update CHANGELOG for 0.0.6


<a name="0.0.5"></a>
## [0.0.5](https://git.mills.io/prologic/saltyim/compare/0.0.4...0.0.5) (2022-03-20)

### Bug Fixes

* Fix log-posthook script
* Fix syntax error
* Fix getting -u/--broker-uri flags
* Fix pre/post hook support to accept stdin

### Features

* Add spport for pre/post hooks for read command

### Updates

* Update CHANGELOG for 0.0.5
* Update CHANGELOG for 0.0.5
* Update CHANGELOG for 0.0.5


<a name="0.0.4"></a>
## [0.0.4](https://git.mills.io/prologic/saltyim/compare/0.0.3...0.0.4) (2022-03-20)

### Bug Fixes

* Fix make-user to create the identity as prologic.key (by default)

### Updates

* Update CHANGELOG for 0.0.4


<a name="0.0.3"></a>
## [0.0.3](https://git.mills.io/prologic/saltyim/compare/0.0.2...0.0.3) (2022-03-20)

### Features

* Add chglog config

### Updates

* Update CHANGELOG for 0.0.3


<a name="0.0.2"></a>
## [0.0.2](https://git.mills.io/prologic/saltyim/compare/0.0.1...0.0.2) (2022-03-20)

### Features

* Add GoRelaser config

### Updates

* Update deps
* Update 'README.md'


<a name="0.0.1"></a>
## 0.0.1 (2022-03-19)

### Bug Fixes

* Fix args for make-user
* Fix Lookup not returning an error parsing invalid configs
* Fix shell readmsgs() so no arguments work properly
* Fix help message
* Fix instructions for setting up the Salty Config
* Fix some bad printf(s)
* Fix some shell warnings
* Fix help to show how to use make-user

### Features

* Add make-user command (#9)
* Add support for looking for a default identity
* Add chat command
* Add builtin support for sending desktop notifications
* Add read command
* Add lookup command (#4)
* Add chat sub--command to read a line in a loop and send to recipient
* Add a lookup mechanism that uses nick@domain and a request to https://domain/.well-known/salty/nick.json

### Updates

* Update README
* Update README
* Update README on new chat sub-command
* Update instructions re MSGBUS_URI
* Update README
* Update README with more docs
* Update the README with better docs

