# Roadmap

The following document outlines the roadmap for [Salty IM](https://salty.im)
and this specific reference design/implemtnation. Please see the
[Spec](https://salty.im/spec.html) for details on the protocol. There shall be
no significant changes to the spec besides minor improvements to the core
functionality.

## Short Term

In the short-term (days) the following is anticpated:

- [X] Get a working minimal viable Desktop and Mobile App (PWA) working.
- [ ] Improve the TUI
- [ ] Improve the setup process and mechanics
- [ ] Improve the documentation

## Medium Term

In the medium-term (weeks):

- [ ] Contact Lists
- [ ] Key Verification
- [ ] Read Receipts
- [ ] Message History
- [ ] Message Redelivery

## Long Term

In the medium-term (months):

- [ ] Reactions
- [ ] Quoted Replies
- [ ] Group Chats
- [ ] Free Public Salty Brokers in selected regions (AU, EU, US)
- [ ] "Supervised Account"(s) / "Kid Mode" (See Below

On "Supervised Accounts" / "Kid Mode": One of the early requirements that motivated the start of this project ws to be
able to allow yound children to get into social media and online messaging in a safe and controlled manner. The general idea
here is to have a way (from the PWA) for a parent to setup a child's account in "Supervisoed Account" / "Kid Mode" where
only the parent can unset this. The behaviour of this setting has two effects a) All outbound messages are CC'd to the
parent (encrypted of course) and all new requests for new contacts (whether outbound or inbound) are routed through the
parent for "approval".

> **Note:** Some things may happen out-of-order and that's okay.
> **Also  note:** This document and roadmap is an evolving document.
